import { editor as MonacoEditor } from 'monaco-editor';
import { LSPProps } from './Alerts';
import { FileFolderType, IMethodAttributes, ITextEditorSelection } from '../../../../packages/shared/src/index.ts';
import { default as React } from 'react';

type TCodeEditorExtra = Partial<{
    initialLineInfo: {
        line: number;
        offset?: number;
        lastModification: number;
    };
    initialSelectionInfo: {
        selection: ITextEditorSelection;
        lastModification: number;
    };
    attributes: IMethodAttributes;
}>;
interface ICodeEditorProps {
    path: string;
    initialValue: string;
    type?: FileFolderType;
    theme?: string;
    onChange?: (content: string) => void;
    language: string;
    options?: MonacoEditor.IEditorOptions;
    extra?: TCodeEditorExtra;
    className?: string;
    showAlerts?: boolean;
    lspProps: LSPProps;
}
export declare const SUPPORTED_THEMES: string[];
export declare const CodeEditor: React.FC<ICodeEditorProps>;
export {};
